ntypetrie.h File Reference

A supporting data structure for tree traversal enumeration methods. More...

`#include <cstring>`

## Classes

class | regina::NTypeTrie< nTypes >
| A trie that stores a set of type vectors of a fixed length. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

A supporting data structure for tree traversal enumeration methods.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).